%define upstream_name    Math-CDF
%define upstream_version 0.1

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Generate probabilities and quantiles from several 
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Math/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel

%description
This module provides a perl interface to the DCDFLIB. See the section on
the DCDFLIB manpage for more information.

Functions are available for 7 continuous distributions (Beta, Chi-square,
F, Gamma, Normal, Poisson and T-distribution) and for two discrete
distributions (Binomial and Negative Binomial). Optional non-centrality
parameters are available for the Chi-square, F and T-distributions.
Cumulative probabilities are available for all 9 distributions and quantile
functions are available for the 7 continuous distributions.

All cumulative probability function names begin with the character "p".
They give the probability of being less than or equal to the given value [
'P(X <= x)' ]

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make


%install
%makeinstall_std

%files
%doc Changes README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.100.0-6pclos2017
- rebuild against updates

